<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="_o_auth_8h" kind="file" language="C++">
    <compoundname>OAuth.h</compoundname>
    <includes refid="_o_auth_id_8h" local="yes">../OAuthId/OAuthId.h</includes>
    <includes refid="_database_8h" local="yes">../../models/Database/Database.h</includes>
    <includedby refid="_i_o_stream_8h" local="yes">streams/IOStream/IOStream.h</includedby>
    <includedby refid="_app_8h" local="yes">app/App/App.h</includedby>
    <includedby refid="_o_auth_8cpp" local="yes">auth/OAuth/OAuth.cpp</includedby>
    <includedby refid="oauth_8h" local="yes">tests/oauth.h</includedby>
    <incdepgraph>
      <node id="212">
        <label>../../models/Database/Database.h</label>
        <link refid="_database_8h_source"/>
        <childnode refid="213" relation="include">
        </childnode>
        <childnode refid="214" relation="include">
        </childnode>
        <childnode refid="215" relation="include">
        </childnode>
        <childnode refid="216" relation="include">
        </childnode>
      </node>
      <node id="215">
        <label>ostream</label>
      </node>
      <node id="214">
        <label>vector</label>
      </node>
      <node id="211">
        <label>QString</label>
      </node>
      <node id="210">
        <label>QtCore/QByteArray</label>
      </node>
      <node id="216">
        <label>iostream</label>
      </node>
      <node id="209">
        <label>../OAuthId/OAuthId.h</label>
        <link refid="_o_auth_id_8h_source"/>
        <childnode refid="210" relation="include">
        </childnode>
        <childnode refid="211" relation="include">
        </childnode>
      </node>
      <node id="213">
        <label>algorithm</label>
      </node>
      <node id="208">
        <label>auth/OAuth/OAuth.h</label>
        <link refid="OAuth.h"/>
        <childnode refid="209" relation="include">
        </childnode>
        <childnode refid="212" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <invincdepgraph>
      <node id="219">
        <label>app/App/App.h</label>
        <link refid="_app_8h_source"/>
      </node>
      <node id="220">
        <label>tests/oauth.h</label>
        <link refid="oauth_8h_source"/>
      </node>
      <node id="217">
        <label>auth/OAuth/OAuth.h</label>
        <link refid="OAuth.h"/>
        <childnode refid="218" relation="include">
        </childnode>
        <childnode refid="219" relation="include">
        </childnode>
        <childnode refid="220" relation="include">
        </childnode>
      </node>
      <node id="218">
        <label>streams/IOStream/IOStream.h</label>
        <link refid="_i_o_stream_8h_source"/>
        <childnode refid="219" relation="include">
        </childnode>
      </node>
    </invincdepgraph>
    <innerclass refid="class_o_auth" prot="public">OAuth</innerclass>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"></codeline>
<codeline lineno="21"><highlight class="preprocessor">#ifndef<sp/>LIBRARYMGR_OAUTH_H</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="22"><highlight class="normal"></highlight><highlight class="preprocessor">#define<sp/>LIBRARYMGR_OAUTH_H</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="23"><highlight class="normal"></highlight></codeline>
<codeline lineno="24"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&quot;../OAuthId/OAuthId.h&quot;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="25"><highlight class="normal"></highlight><highlight class="preprocessor">#include<sp/>&quot;../../models/Database/Database.h&quot;</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="26"><highlight class="normal"></highlight></codeline>
<codeline lineno="30" refid="class_o_auth" refkind="compound"><highlight class="keyword">class<sp/></highlight><highlight class="normal"><ref refid="class_o_auth" kindref="compound">OAuth</ref><sp/>{</highlight></codeline>
<codeline lineno="31"><highlight class="normal"></highlight></codeline>
<codeline lineno="32"><highlight class="normal"></highlight><highlight class="keyword">public</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="37"><highlight class="normal"><sp/><sp/><sp/><sp/><ref refid="class_o_auth_1a5c3a460107cc60f0c0ab03bf90236ef9" kindref="member">OAuth</ref>();</highlight></codeline>
<codeline lineno="38"><highlight class="normal"></highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp/><sp/><sp/><sp/><ref refid="class_o_auth_1a5c3a460107cc60f0c0ab03bf90236ef9" kindref="member">OAuth</ref>(<ref refid="class_database" kindref="compound">Database&lt;OAuthId&gt;</ref><sp/>database);</highlight></codeline>
<codeline lineno="45"><highlight class="normal"></highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp/><ref refid="class_database" kindref="compound">Database&lt;OAuthId&gt;</ref><sp/>&amp;<ref refid="class_o_auth_1ac81443e761b766b218550a8e6b0b786b" kindref="member">getDatabase</ref>()<sp/></highlight><highlight class="keyword">const</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="51"><highlight class="normal"></highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="comment">//<sp/>getters</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="53"><highlight class="normal"></highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp/><sp/><sp/><sp/><ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/><ref refid="class_o_auth_1a02baeb7bfc7c1d69fb8cf7dfa7f2cb98" kindref="member">getId</ref>(std::string<sp/>username);</highlight></codeline>
<codeline lineno="60"><highlight class="normal"></highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="comment">//<sp/>check</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="62"><highlight class="normal"></highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_1a370cfa3a6c5e099ea831aa47cd0bec2e" kindref="member">authenticate</ref>(<ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/></highlight><highlight class="keywordtype">id</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="69"><highlight class="normal"></highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_1ad1fd304b1233bf1e3829f897c8413280" kindref="member">wrongUser</ref>(<ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/></highlight><highlight class="keywordtype">id</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="76"><highlight class="normal"></highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_1a5cce8a3b92e7d98d8c25adbeb9c3cde7" kindref="member">wrongPassword</ref>(<ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/></highlight><highlight class="keywordtype">id</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="83"><highlight class="normal"></highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="comment">//<sp/>management</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="85"><highlight class="normal"></highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_1a44a68aa042340863ba1ab54eb02a3aca" kindref="member">addId</ref>(<ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/></highlight><highlight class="keywordtype">id</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="92"><highlight class="normal"></highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_1a4e37754724323a2b0e2dadab12ecc71d" kindref="member">removeId</ref>(<ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/></highlight><highlight class="keywordtype">id</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="99"><highlight class="normal"></highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_1a0c48fcee0a4938a9e758b939a2e7229b" kindref="member">editUsername</ref>(std::string<sp/>username,<sp/>std::string<sp/>newUsername);</highlight></codeline>
<codeline lineno="107"><highlight class="normal"></highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_1a6b884ecb6c99d0bc58e308140f443222" kindref="member">editPassword</ref>(std::string<sp/>username,<sp/>std::string<sp/>newPassword);</highlight></codeline>
<codeline lineno="115"><highlight class="normal"></highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp/><ref refid="class_o_auth_1ac215f9c1ca04972b9e786917c5630e14" kindref="member">editId</ref>(<ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/>oldId,<sp/><ref refid="class_o_auth_id" kindref="compound">OAuthId</ref><sp/>newId);</highlight></codeline>
<codeline lineno="123"><highlight class="normal"></highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="comment">//<sp/>operators</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="125"><highlight class="normal"></highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp/><sp/><sp/><sp/></highlight><highlight class="keyword">friend</highlight><highlight class="normal"><sp/>std::ostream<sp/>&amp;<ref refid="class_o_auth_1a8c2ab31bcc4372b65f69bc77745ce61c" kindref="member">operator&lt;&lt;</ref>(std::ostream<sp/>&amp;out,<sp/></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp/><ref refid="class_o_auth" kindref="compound">OAuth</ref><sp/>&amp;oauth);</highlight></codeline>
<codeline lineno="133"><highlight class="normal"></highlight></codeline>
<codeline lineno="134"><highlight class="normal"></highlight><highlight class="keyword">private</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp/><sp/><sp/><sp/><ref refid="class_database" kindref="compound">Database&lt;OAuthId&gt;</ref><sp/>database;<sp/><sp/></highlight><highlight class="comment">//<sp/>database<sp/>of<sp/>credentials</highlight><highlight class="normal"></highlight></codeline>
<codeline lineno="136"><highlight class="normal">};</highlight></codeline>
<codeline lineno="137"><highlight class="normal"></highlight></codeline>
<codeline lineno="138"><highlight class="normal"></highlight></codeline>
<codeline lineno="139"><highlight class="normal"></highlight><highlight class="preprocessor">#endif<sp/>//LIBRARYMGR_OAUTH_H</highlight></codeline>
    </programlisting>
    <location file="auth/OAuth/OAuth.h"/>
  </compounddef>
</doxygen>
